<!DOCTYPE html>
<html lang="en">

<head>
	<meta charset="UTF-8">
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/css/bootstrap.min.css" integrity="sha384-zCbKRCUGaJDkqS1kPbPd7TveP5iyJE0EjAuZQTgFLD2ylzuqKfdKlfG/eSrtxUkn" crossorigin="anonymous">
	<link href="https://fonts.googleapis.com/css2?family=Montserrat:wght@300&family=Poppins:wght@300;800&display=swap" rel="stylesheet">
	<link href="https://fonts.googleapis.com/css2?family=Recursive:wght@300;900&display=swap" rel="stylesheet">
	<link rel="stylesheet" href="../css/profile.css">

	<title>Capstone 2</title>
</head>

<body>
	<div class="container-fluid navc fixed-top">
		<div class="navbar">
			<nav class="text-center">
				<ul>
					<li><a href="../index.html">HOME</a></li>
					<li><a href="./menu-template.html">MENU</a></li>
					<button type="button" class="btn btn-outline-warning" id="logout"><a href="#">Logout</a></button>
				</ul>
			</nav>	

		</div>
	</div>




<div class="categories sticky-top text-center pt-5">

	<img src="https://i.pinimg.com/550x/9f/d6/e2/9fd6e2c532bb9003cded155af3573415.jpg" width="150px" height="150px" class="img-fluid">
	

	<ul class="p-5 text-left" id="ul">
		
	</ul>
</div>


<div class="container-fluid profile">
	<div class="row profileRow" id="editProfile">

		<!-- EDIT PROFILE -->
		<div class="col-12 col-sm-10 profileCol p-5 m-5 text-dark">
			<h4><strong>My Profile</strong></h4>
			<p>Edit Profile</p>
			 <div class="pt-5">
			 	<h5 class="pb-5"><strong>Basic Information:</strong></h5>
			 	<div class="d-flex">
				 	<div>
					 	<p id="userId"></p>
					 	<p id="fullName"></p>
					 	<p id="email"></p>
					 	<p id="contact"></p>
				 	</div>
				 	<div class="mx-5">
				 		<p id="gender"></p>
				 		<p id="bday"></p>
				 		<p id="address"></p>
				 		
				 	</div>
			 	</div>
			 </div>
		</div>
	</div>
		<!-- ORDERS -->
	<div class="row profileNorm" id="myOrders">
		<div class="col-10 col-md-11 p-5 m-5 ">
			<h4>Orders</h4>
			<p class="pb-5">Update Order</p>
			<table class="table table-striped">
			  <thead class="thead-dark">
			    <tr>
			      <th scope="col">#</th>
			      <th scope="col">OrderId</th>
			      <th scope="col">itemName</th>
			      <th scope="col">TotalAmount</th>
			      <th scope="col">Status</th>
			    </tr>
			  </thead>
			  <tbody id="tableOrder">
			  </tbody>
			</table>	
			
		</div>
	</div>
		<!-- USERS -->
	<div class="row profileNorm" id="users">
		<div class="col-10 col-sm-12 p-5 m-5">
			<h4>Users</h4>
			<p class="pb-5">Manage Users</p>
			<div class="d-flex">
				<p class="d-inline">Users: <span id="userLength"></span></p>
				<p class="d-inline mx-5">Admins: <span id="adminLength"></span></p>			
			</div>

			<h6>Admins</h6>
			<table class="table table-striped table-dark">
			  <thead class="thead-dark">
			    <tr>
			      <th scope="col">#</th>
			      <th scope="col">UserId</th>
			      <th scope="col">Full Name</th>
			      <th scope="col">email</th>
			      <th scope="col">createdAt</th>
			      <th scope="col">Action</th>
			    </tr>
			  </thead>
			  <tbody id="tableAdmins">
			  </tbody>
			</table>

			<h6>Users</h6>
			<table class="table table-striped">
			  <thead class="thead-dark">
			    <tr>
			      <th scope="col">#</th>
			      <th scope="col">UserId</th>
			      <th scope="col">Full Name</th>
			      <th scope="col">email</th>
			      <th scope="col">createdAt</th>
			      <th scope="col">Action</th>
			    </tr>
			  </thead>
			  <tbody id="tableUsers">
			  </tbody>
			</table>

		</div>
	</div>

	<div class="row profileNorm" id="products">
		<div class="col-10 col-sm-11 p-5 m-5">
			<h4>Products</h4>
			<p class="pb-5">Manage Products</p>
			<div class="d-flex">
				<p class="d-inline">Meals: <span id="mealLength"></span></p>
				<p class="d-inline mx-5">Burgers: <span id="burgerLength"></span></p>	
				<p class="d-inline mx-5">Sides: <span id="sideLength"></span></p>	
				<p class="d-inline mx-5">Beverages: <span id="beverageLength"></span></p>			
			</div>

			<h6>Meals</h6>
			<table class="table table-striped table-dark">
			  <thead class="thead-dark">
			    <tr>
			      <th scope="col">#</th>
			      <th scope="col">Product Id</th>
			      <th scope="col">Product Name</th>
			      <th scope="col">Price</th>
			      <th scope="col">createdAt</th>
			    </tr>
			  </thead>
			  <tbody id="tableMeals">
			  </tbody>
			</table>
			<div class="text-right">
				<p class="text-right btn btn-warning" data-toggle="modal" data-target="#addProduct">Add a product</p>
			</div>
			<h6>Burgers</h6>
			<table class="table table-striped table-dark">
			  <thead class="thead-dark">
			    <tr>
			      <th scope="col">#</th>
			      <th scope="col">Product Id</th>
			      <th scope="col">Product Name</th>
			      <th scope="col">Price</th>
			      <th scope="col">createdAt</th>
			    </tr>
			  </thead>
			  <tbody id="tableBurgers">
			  </tbody>
			</table>
			<div class="text-right">
				<p class="text-right btn btn-warning" data-toggle="modal" data-target="#addProduct">Add a product</p>
			</div>


			<h6>Sides</h6>
			<table class="table table-striped table-dark">
			  <thead class="thead-dark">
			    <tr>
			      <th scope="col">#</th>
			      <th scope="col">Product Id</th>
			      <th scope="col">Product Name</th>
			      <th scope="col">Price</th>
			      <th scope="col">createdAt</th>
			    </tr>
			  </thead>
			  <tbody id="tableSides">
			  </tbody>
			</table>
			<div class="text-right">
				<p class="text-right btn btn-warning" data-toggle="modal" data-target="#addProduct">Add a product</p>
			</div>

			<h6>Beverages</h6>
			<table class="table table-striped table-dark">
			  <thead class="thead-dark">
			    <tr>
			      <th scope="col">#</th>
			      <th scope="col">Product Id</th>
			      <th scope="col">Product Name</th>
			      <th scope="col">Price</th>
			      <th scope="col">createdAt</th>
			    </tr>
			  </thead>
			  <tbody id="tableBeverages">
			  </tbody>
			</table>
			<div class="text-right">
				<p class="text-right btn btn-warning" data-toggle="modal" data-target="#addProduct">Add a product</p>
			</div>

		</div>
	</div>


	<div class="modal fade" id="addProduct" tabindex="-1" aria-labelledby="addProductLabel" aria-hidden="true">
	  <div class="modal-dialog modal-dialog-centered">
	    <div class="modal-content">
	      <div class="modal-header">
	        <h5 class="modal-title" id="addProductLabel">Add a product</h5>
	        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
	          <span aria-hidden="true">&times;</span>
	        </button>
	      </div>
	      <div class="modal-body">
	       	<form id="addProductForm">
	       	  <div class="form-group">
	       	    <label for="itemName">Product Name</label>
	       	    <input type="text" class="form-control" id="itemName" required>
	       	  </div>
	       	  <div class="form-group">
	       	    <label for="itemDesc">Product Description</label>
	       	    <input type="text" class="form-control" id="itemDesc" required>
	       	  </div>
	       	  <div class="form-row align-items-center">
 				<label for="itemCategory">Category</label>
       	        <select class="custom-select" id="itemCategory" required>
       	          <option selected>Choose...</option>
       	          <option value="Meal">Meal</option>
       	          <option value="Burger">Burger</option>
       	          <option value="Side">Side</option>
       	          <option value="Beverage">Beverage</option>

       	        </select>
       	      </div>
	       	  <div class="form-group">
	       	    <label for="price">Price</label>
	       	    <input type="text" class="form-control" id="itemPrice" required>
	       	  </div>
	      </div>
	      <div class="modal-footer">
	        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
	        <button type="Submit" class="btn btn-warning">Submit</button>
	      </div>
	      </form>
	    </div>
	  </div>
	</div>



	
</div>


<script src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/js/bootstrap.bundle.min.js" integrity="sha384-fQybjgWLrvvRgtW6bFlB7jaZrFsaBXjsOMm/tB9LTS58ONXgqbR9W8oWht/amnpF" crossorigin="anonymous"></script>
<script src="../js/profile.js"></script>	
</body>
</html>

